curl --request GET \
--url https://api.augustus.com/v1/account_holders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/account_holders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/account_holders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.augustus.com/v1/account_holders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.augustus.com/v1/account_holders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.augustus.com/v1/account_holders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.augustus.com/v1/account_holders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "68e0a1b2c3d4e5f60718293a",
"type": "account_holder",
"holder_type": "natural_person",
"status": "pending",
"beneficiary_data": {
"legal_name": "Jordan Rivera",
"residential_address": {
"line_1": "548 Market St",
"line_2": "Apartment 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94103",
"country_code": "US"
},
"date_of_birth": "1990-01-15",
"identification": {
"type": "ssn",
"value": "123-45-6789"
},
"country_of_citizenship": "US"
},
"metadata": {
"invoice_id": "INV-2026-0042"
},
"created_at": "2026-01-15T10:30:00Z"
}Retrieve account holder
Retrieves an account holder by ID.
curl --request GET \
--url https://api.augustus.com/v1/account_holders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/account_holders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/account_holders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.augustus.com/v1/account_holders/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.augustus.com/v1/account_holders/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.augustus.com/v1/account_holders/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.augustus.com/v1/account_holders/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "68e0a1b2c3d4e5f60718293a",
"type": "account_holder",
"holder_type": "natural_person",
"status": "pending",
"beneficiary_data": {
"legal_name": "Jordan Rivera",
"residential_address": {
"line_1": "548 Market St",
"line_2": "Apartment 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94103",
"country_code": "US"
},
"date_of_birth": "1990-01-15",
"identification": {
"type": "ssn",
"value": "123-45-6789"
},
"country_of_citizenship": "US"
},
"metadata": {
"invoice_id": "INV-2026-0042"
},
"created_at": "2026-01-15T10:30:00Z"
}Authorizations
Bearer token for authentication with Augustus Banking API
Path Parameters
Unique identifier of the account holder.
^[0-9a-fA-F]{24}$"68e0a1b2c3d4e5f60718293a"
Response
The account holder resource
Unique identifier of the account holder.
^[0-9a-fA-F]{24}$"68e0a1b2c3d4e5f60718293a"
Resource type discriminator.
account_holder Type of the account holder.
natural_person, business Current account holder status.
pending, active, closed Beneficiary details used to create this account holder. Which shape is returned follows country_of_citizenship: US individual when it is US, Non-US individual for any other country, Business when holder_type is business.
- US individual
- Non-US individual
- Business
Show child attributes
Show child attributes
Set of up to 50 key-value string pairs you can attach to store structured information, such as correlating this resource with an object in your own system. Keys may be up to 40 characters and values up to 500 characters.
Show child attributes
Show child attributes
{ "invoice_id": "INV-2026-0042" }
ISO 8601 UTC timestamp when the account holder was created.
"2026-01-15T10:30:00Z"
Was this page helpful?